# Generated by Django 4.1 on 2022-08-16 13:21

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import timezone_field.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Broadcast',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_time', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Время запуска рассылки')),
                ('end_time', models.DateTimeField(blank=True, null=True, verbose_name='Время окончания рассылки')),
                ('text', models.TextField(verbose_name='Текст рассылки')),
                ('filter', models.TextField()),
            ],
            options={
                'verbose_name': 'Рассылки',
                'verbose_name_plural': 'Рассылка',
            },
        ),
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone_number', models.CharField(max_length=11, validators=[django.core.validators.RegexValidator(message="Номер телефона должен быть в формате: '7XXXXXXXXXX' (X - цифра от 0 до 9)", regex='^\\+?7?\\d{10}$')], verbose_name='Номер телефона')),
                ('mobile_operator_code', models.CharField(max_length=3, verbose_name='Код мобильного оператора')),
                ('tag', models.CharField(blank=True, max_length=100, null=True, verbose_name='Произвольный тэг')),
                ('time_zone', timezone_field.fields.TimeZoneField(choices_display='WITH_GMT_OFFSET', verbose_name='Часовой пояс')),
            ],
            options={
                'verbose_name': 'Клиенты',
                'verbose_name_plural': 'Клиент',
            },
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('send_time', models.DateTimeField(default=django.utils.timezone.now, verbose_name='Время отправки')),
                ('status_code', models.IntegerField(verbose_name='Статус отправки')),
                ('broadcast', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.broadcast', verbose_name='Объект рассылки')),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.client', verbose_name='Объект клиента')),
            ],
            options={
                'verbose_name': 'Сообщения',
                'verbose_name_plural': 'Сообщение',
            },
        ),
    ]
